#ifndef __CALLBACK_H__
#define __CALLBACK_H__

#include "def.h"

gboolean key_down(GtkWidget *widget,
	GdkEventKey *event,
	gpointer user_data);

void resize_cards(struct _prog* prog_data, int w, int h);

void error_event(GtkDialog *dialog, gint rid, gpointer data);

void event_start(GtkButton *button, gpointer data);

gint motion_notify_event (GtkWidget *widget, GdkEventMotion *event, gpointer data);

void button_press_event (GtkWidget *widget, GdkEventButton *event, gpointer data);

void button_release_event (GtkWidget *widget, GdkEventButton *event, gpointer data);

gboolean realisation( GtkWidget *aire_de_dessin, gpointer data);

gboolean rafraichissement( GtkWidget *aire_de_dessin, GdkEventExpose *event, gpointer data);

gboolean quit(GtkWidget *window, gpointer data);

void resize(GtkContainer *container, gpointer data);

void dialog_response_event(GtkDialog *dialog, gint rid, gpointer data);

void click_selectmaster(struct _prog *prog_data, int master, int trump);

void click_diamond(GtkButton *button, gpointer data);

void click_heart(GtkButton *button, gpointer data);

void click_spade(GtkButton *button, gpointer data);

void click_club(GtkButton *button, gpointer data);

gboolean event_blink(gpointer data);

void clear_blink(struct _prog *prog_data);

#endif
